Package ru.bitel.bgbilling.modules.card.server.event

# Class CardPubActivateEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.modules.card.server.event.CardPubActivateEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class CardPubActivateEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

Синхронное событие - активация карты через Web.
Событие используется для измения логики поведения при активации карты.
Унаследовано от `LocalEvent`.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CardPubActivateEvent​(int moduleId, boolean createContract, int activateType, int tariff, java.util.Map<java.lang.Integer,​java.lang.String> params, java.lang.String pswd, java.lang.String pswd2, boolean useTariff, boolean accept)` | Конструктор события.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getActivateType()` | Возвращает тип активации.
  `Contract` | `getContract()` | Возвращает договор.
  `java.lang.String` | `getError()` | Возвращает текст ошибки.
  `java.util.Map<java.lang.Integer,​java.lang.String>` | `getParams()` | Возвращает массив параметров договора, которые указываются при активации карты в Web
  `java.lang.String` | `getPswd()` | Возвращает пароль
  `java.lang.String` | `getPswd2()` | Возвращает подтверждение пароля
  `int` | `getTariff()` | Возвращает код тариф с которым активируется карта
  `boolean` | `isAccept()` | Проверяет принятие
  `boolean` | `isCreateContract()` | Проверяе создавать или не создавать договор при активации карты.
  `boolean` | `isSuccess()` | Проверяет успех обработки события скриптом.
  `boolean` | `isUseTariff()` | Проверяет флаг тариф
  `boolean` | `isWasProcceced()` | Проверяет обработку события скриптом.
  `void` | `setAccept​(boolean accept)` | Устанавливает флаг принятия true - false -
  `void` | `setActivateType​(int activateType)` | Устанавливает тип активации.
  `void` | `setContract​(Contract contract)` | Устанавливает договор.
  `void` | `setError​(java.lang.String error)` | Устанавливает текст ошибки.
  `void` | `setParams​(java.util.Map<java.lang.Integer,​java.lang.String> params)` | Устанавливает массив параметров договора, которые указываются при активации карты в Web
  `void` | `setPswd​(java.lang.String pswd)` | Устанавливает пароль
  `void` | `setPswd2​(java.lang.String pswd2)` | Устанавливает подтверждение пароля
  `void` | `setTariff​(int tariff)` | Устанавливает код тарифа с которым активируется карта
  `void` | `setUseTariff​(boolean useTariff)` | Устанавливает флаг true - false -
  `void` | `setWasProcceced​(boolean wasProcceced)` | Устанавливает флаг обработки события скриптом.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CardPubActivateEvent

    public CardPubActivateEvent​(int moduleId, boolean createContract, int activateType, int tariff, java.util.Map<java.lang.Integer,​java.lang.String> params, java.lang.String pswd, java.lang.String pswd2, boolean useTariff, boolean accept)
    Конструктор события.
    Parameters:
      `moduleId` - - код модуля
      `createContract` - - флаг создавать или не создавать договор при активации карты
      true - создавать договор при активации карты
      false - проверка возможности создания договора
      `activateType` - - тип активации(настраивается в конфигурации модуля)
      `tariff` - - код тарифа с которым нужно активировать карту
      `params` - - массив параметров договора, которые указываются при активации карты в Web( настраиваиваются в конфигурации модуля)
      `pswd` - - парол
      `pswd2` - - подтверждение пароля
      `useTariff` - - TODO найти что это
      `accept` - - TODO найти что это

- ## Method Details

  - ### getError

    public java.lang.String getError()
    Возвращает текст ошибки.
    Specified by:
      `getError` in interface `ErrorReturnableEvent`
    Overrides:
      `getError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`
    Returns:
      error - текст ошибки

  - ### setError

    public void setError​(java.lang.String error)
    Устанавливает текст ошибки.
    Specified by:
      `setError` in interface `ErrorReturnableEvent`
    Overrides:
      `setError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`
    Parameters:
      `error` - - текст ошибки

  - ### isWasProcceced

    public boolean isWasProcceced()
    Проверяет обработку события скриптом.
    Returns:
      wasProcceced - флаг обработки события:
      true - в процессе обработки события скриптом;
      false - скрипт не обрабатывает событие, работает штатная логика активации.

  - ### isSuccess

    public boolean isSuccess()
    Проверяет успех обработки события скриптом.
    Returns:
      wasProcceced - флаг обработки события:
      true - обработано;
      false - в процессе обработки, или обработка была начата, но не завершилась.

  - ### setWasProcceced

    public void setWasProcceced​(boolean wasProcceced)
    Устанавливает флаг обработки события скриптом. true - устанавливается после успешной обработки события в скрипте
    false - устанавливается в перед обработкой события в скрипте
    Parameters:
      `wasProcceced` - - флаг обработки события

  - ### getActivateType

    public int getActivateType()
    Возвращает тип активации.
    Returns:
      activateType - тип активации

  - ### setActivateType

    public void setActivateType​(int activateType)
    Устанавливает тип активации.
    Parameters:
      `activateType` - - тип активации

  - ### getTariff

    public int getTariff()
    Возвращает код тариф с которым активируется карта
    Returns:
      tariff - код тарифа

  - ### setTariff

    public void setTariff​(int tariff)
    Устанавливает код тарифа с которым активируется карта
    Parameters:
      `tariff` - - код тарифа

  - ### getParams

    public java.util.Map<java.lang.Integer,​java.lang.String> getParams()
    Возвращает массив параметров договора, которые указываются при активации карты в Web
    Returns:
      params - массив параметров

  - ### setParams

    public void setParams​(java.util.Map<java.lang.Integer,​java.lang.String> params)
    Устанавливает массив параметров договора, которые указываются при активации карты в Web
    Parameters:
      `params` - - массив параметров

  - ### getPswd

    public java.lang.String getPswd()
    Возвращает пароль
    Returns:
      psd - пароль

  - ### setPswd

    public void setPswd​(java.lang.String pswd)
    Устанавливает пароль
    Parameters:
      `pswd` - - пароль

  - ### getPswd2

    public java.lang.String getPswd2()
    Возвращает подтверждение пароля
    Returns:
      pswd2 - пароль

  - ### setPswd2

    public void setPswd2​(java.lang.String pswd2)
    Устанавливает подтверждение пароля
    Parameters:
      `pswd2` - - пароль

  - ### isUseTariff

    public boolean isUseTariff()
    Проверяет флаг тариф
    Returns:
      useTariff - флаг true - ;
      false - .

  - ### setUseTariff

    public void setUseTariff​(boolean useTariff)
    Устанавливает флаг true -
    false -
    Parameters:
      `useTariff` - - флаг

  - ### getContract

    public Contract getContract()
    Возвращает договор.
    Returns:
      contract - договор

  - ### setContract

    public void setContract​(Contract contract)
    Устанавливает договор.
    Parameters:
      `contract` - - договор

  - ### isAccept

    public boolean isAccept()
    Проверяет принятие
    Returns:
      accept - флаг true - ;
      false - .

  - ### setAccept

    public void setAccept​(boolean accept)
    Устанавливает флаг принятия true -
    false -
    Parameters:
      `accept` - - флаг

  - ### isCreateContract

    public boolean isCreateContract()
    Проверяе создавать или не создавать договор при активации карты.
    Returns:
      createContract - флаг создания договора:
      true - создавать договор при активации карты
      false - проверка возможности создания договора.